=== debian/changelog ===
kconfig (5.103.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits to fix apps not remembering their size in some
    conditions under Wayland.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Mar 2023 23:17:03 +0100

kconfig (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:21 +0100

kconfig (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:00 +0100
