## kconfig 5.109.0

=== debian/changelog ===
kconfig (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:47:44 +0100

kconfig (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:18:14 +0100

kconfig (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:04:12 +0100

kconfig (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:43:55 +0100

kconfig (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:15:04 +0000

kconfig (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Make libkf5config-bin Multi-Arch: foreign again, fixes lintian
    warning, change lost in last debian merge

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:41:59 +0000

kconfig (5.102.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Jan 2023 10:11:09 +0000

kconfig (5.102.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Jan 2023 11:03:21 +0000

kconfig (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:19:07 +0000

kconfig (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Drop included patches.
  * Refresh Allow-packagers-set-kconfig_compiler-install-dir.patch
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:13:39 +0000

kconfig (5.99.0-0ubuntu2) lunar; urgency=medium

  * Sync kconfig_compiler patches from debian.

 -- Rik Mills <rikmills@kde.org>  Fri, 04 Nov 2022 10:01:26 +0000

kconfig (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:57:53 +0000
