## kconfig 5.113.0

=== debian/changelog ===
kconfig (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:41:51 +0000

kconfig (5.112.0-0ubuntu2) noble; urgency=medium

  * No change rebuild with new riscv64 builders on bos03.

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Dec 2023 07:44:37 +0000

kconfig (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:46:41 +0000

kconfig (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:56:21 +0000
